Summary:	PyICU - Python extension wrapping IBM's ICU C++ API
Summary(pl.UTF-8):	PyICU - rozszerzenie Pythona obudowujące API C++ biblioteki ICU firmy IBM
Name:		python-pyicu
Version:	1.5
Release:	2
License:	MIT-like
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/P/PyICU/PyICU-%{version}.tar.gz
# Source0-md5:	099a3e6e3b8c2b9ab3bf6dde911db624
URL:		http://pyicu.osafoundation.org/
BuildRequires:	libicu-devel >= 3.6
BuildRequires:	libstdc++-devel
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyICU is a Python extension wrapping IBM's ICU C++ API.

%description -l pl.UTF-8
PyICU to rozszerzenie Pythona obudowujące API C++ biblioteki ICU firmy
IBM.

%prep
%setup -q -n PyICU-%{version}

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README
%{py_sitedir}/PyICU.py[co]
%{py_sitedir}/docs.py[co]
%{py_sitedir}/icu.py[co]
%attr(755,root,root) %{py_sitedir}/_icu.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/PyICU-%{version}-py*.egg-info
%endif
%changelog
* Fri Nov 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyicu.git;a=log;h=master

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 30fa66e
- release 2 (by relup.sh)

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 2ace458
- updated to 1.5

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 46b8f5b
- release 2 (by relup.sh)

* Wed Apr 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 058b3e2
- updated to 1.4; supports icu 49

* Sun Oct 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 01cab8b
- updated to 1.3
- pl
- dropped use of module macro for the sole purpose of obscuring Name

* Sun Oct 09 2011 Artur Frysiak <artur@frysiak.net> a93023c
- up to 1.2

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5617cb4
- release 2

* Sun Mar 20 2011 Artur Frysiak <artur@frysiak.net> 8aa5398
- up to 1.1

* Sun Mar 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f631c32
- release 3

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 24de33a
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 2a710a5
- added BR: python-modules, rpm-pythonprov

* Wed Sep 22 2010 Elan Ruusamäe <glen@pld-linux.org> bf26a09
- up to 1.0, cleanup deps, fix group, update license

* Wed Sep 22 2010 Elan Ruusamäe <glen@pld-linux.org> 5242de1
- files fix

* Wed Sep 22 2010 Elan Ruusamäe <glen@pld-linux.org> a64306b
- new, based on rpmforge list post
  http://lists.rpmforge.net/pipermail/users/2008-December/002149.html

